Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QInputMethodEvent_Attribute

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QInputMethodEvent_Attribute

All Implemented Interfaces:
  QtJambiInterface

    public class QInputMethodEvent_Attribute

extends QtJambiObject

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QInputMethodEvent_Attribute(QInputMethodEvent.AttributeType t, int s, int l, java.lang.Object val)` Constructs an input method attribute.

Method Summary
`static QInputMethodEvent_Attribute` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QInputMethodEvent_Attribute instance pointed to by nativePointer
`int` | `length()` Returns the length of this QInputMethodEvent_Attribute.
`static QNativePointer` | `nativePointerArray(QInputMethodEvent_Attribute[] array)` This function returns a QNativePointer that is pointing to the specified QInputMethodEvent_Attribute array.
`void` | `setLength(int length)` Sets the length of this QInputMethodEvent_Attribute.
`void` | `setStart(int start)` Sets the `start` of this QInputMethodEvent_Attribute.
`void` | `setType(QInputMethodEvent.AttributeType type)` Sets the `type` of this QInputMethodEvent_Attribute.
`void` | `setValue(java.lang.Object value)` Sets the value of this QInputMethodEvent_Attribute.
`int` | `start()` Returns the start of this QInputMethodEvent_Attribute.
`QInputMethodEvent.AttributeType` | `type()` Returns the type of this QInputMethodEvent_Attribute.
`java.lang.Object` | `value()` Returns the value of this QInputMethodEvent_Attribute.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QInputMethodEvent_Attribute

    public QInputMethodEvent_Attribute(QInputMethodEvent.AttributeType t,
                                       int s,
                                       int l,
                                       java.lang.Object val)

  Constructs an input method attribute. `t` specifies the type of attribute, `s` and `l` the position of the attribute, and `val` the value of the attribute.

Method Detail

### setLength

    public final void setLength(int length)

  Sets the length of this QInputMethodEvent_Attribute. `length`

### length

    public final int length()

  Returns the length of this QInputMethodEvent_Attribute.

### setType

    public final void setType(QInputMethodEvent.AttributeType type)

  Sets the `type` of this QInputMethodEvent_Attribute.

### type

    public final QInputMethodEvent.AttributeType type()

  Returns the type of this QInputMethodEvent_Attribute.

### setValue

    public final void setValue(java.lang.Object value)

  Sets the value of this QInputMethodEvent_Attribute.

### value

    public final java.lang.Object value()

  Returns the value of this QInputMethodEvent_Attribute.

### setStart

    public final void setStart(int start)

  Sets the `start` of this QInputMethodEvent_Attribute.

### start

    public final int start()

  Returns the start of this QInputMethodEvent_Attribute.

### fromNativePointer

    public static QInputMethodEvent_Attribute fromNativePointer(QNativePointer nativePointer)

  This function returns the QInputMethodEvent_Attribute instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QInputMethodEvent_Attribute[] array)

  This function returns a QNativePointer that is pointing to the specified QInputMethodEvent_Attribute array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD